selinux_boolean_sub(3)

NAME
selinux_boolean_sub - Search the translated name for a boolean_name record

SYNOPSIS
#include <selinux/selinux.h>

char *selinux_boolean_sub(const char *boolean_name);

DESCRIPTION
selinux_boolean_sub() searches the /etc/selinux/{POLICYTYPE}/booleans.subs_dist file for a matching boolean_name record. If the record exists the boolean substitution name is returned. If not selinux_boolean_sub() returns the original boolean_name.

RETURN VALUE
selinux_boolean_sub() returns the boolean_name or the substituted name on success. The returned value must be freed with free(3). selinux_boolean_sub() returns NULL on error.

SEE ALSO
security_get_boolean_names(3)